From 574a11f2555962f2c078e6b85622d812fc54098a Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Mon, 23 Jun 2014 14:03:34 +0100
Subject: [PATCH 03/13] [docs] update man pages

* document -u and -h
* update maintainer information
* add references to redhat-support-tool
---
 man/en/sos.conf.5  |  5 +++--
 man/en/sosreport.1 | 16 +++++++++++-----
 2 files changed, 14 insertions(+), 7 deletions(-)

diff --git a/man/en/sos.conf.5 b/man/en/sos.conf.5
index dc10b1b..db91651 100644
--- a/man/en/sos.conf.5
+++ b/man/en/sos.conf.5
@@ -30,5 +30,6 @@ disable Comma separated list of plugins to disable.
 .sp
 /etc/sos.conf
 .SH SEE ALSO
-.sp
-sosreport(1)
+.nf
+.BR sosreport(1)
+.fi
diff --git a/man/en/sosreport.1 b/man/en/sosreport.1
index 4729762..4bc3cd3 100644
--- a/man/en/sosreport.1
+++ b/man/en/sosreport.1
@@ -12,8 +12,8 @@ sosreport \- Generate debugging information for this system
           [--config-file conf] [--batch]\fR
           [--build] [--name name] [--no-colors]\fR
           [--ticket-number number] [--debug]\fR
-          [--upload] [--tmp-dir directory]\fR
-          [--profile] [--help]\fR
+          [-u|--upload] [--tmp-dir directory]\fR
+          [--profile] [-h|--help]\fR
 .SH DESCRIPTION
 \fBsosreport\fR generates a compressed tarball of debugging information 
 for the system it is run on that can be sent to technical support
@@ -41,8 +41,9 @@ If no value is specified and the option is a boolean (on/off), it will be set to
 .B \-a, \--alloptions
 Enable all (boolean) options for all loaded plugins.
 .TP
-.B \--upload FTP_SERVER
+.B \-u FTP_SERVER, --upload FTP_SERVER
 Upload the report to Red Hat (use exclusively if advised from a Red Hat support representative).
+For further options for automated uploads please refer to the documentation for \fBredhat-support-tool\fR.
 .TP
 .B \-v, \--verbose
 Increase the verbosity of the output as sosreport is running. Multiple -v mean more verbosity.
@@ -83,11 +84,16 @@ Give opportunity to debug python exceptions through the python debugger.
 .B \--profile
 Turn on profiling for cmds run
 .TP
-.B \--help
+.B \-h, --help
 Display sosreport help system.
 .SH MAINTAINER
 .nf
-Adam Stokes <astokes@fedoraproject.org>
+Bryn M. Reeves <bmr@redhat.com>
+.fi
+.SH SEE ALSO
+.nf
+.BR redhat-support-tool(1),
+.BR sos.conf(5)
 .fi
 .SH TRANSLATIONS
 .nf
-- 
1.9.3

